// Create the model*
var mTSB = Model();
var eye1 = Model();
var eye2 = Model();

mTSB.addBoxExpanded("body1", -20, 0, -35, 47, 6, 64, 0, 0, 0.0);
mTSB.addBoxExpanded("body2", -25, 0, -26, 57, 6, 51, 0, 0, 0.0);
mTSB.addBoxExpanded("body3", -30, 0, -14, 67, 6, 35, 0, 0, 0.0);
mTSB.addBoxExpanded("body4", -9, 0, -49, 23, 6, 14, 0, 0, 0.0);
mTSB.addBoxExpanded("body5", -2, 2, -62, 9, 4, 13, 0, 0, 0.0);
mTSB.addBoxExpanded("body6", -17, 6, -32, 41, 6, 57, 0, 0, 0.0);
mTSB.addBoxExpanded("body7", -21, 6, -23, 49, 6, 44, 0, 0, 0.0);
mTSB.addBoxExpanded("body8", -4, 6, -48, 13, 6, 16, 0, 0, 0.0);
mTSB.addBoxExpanded("body9", -14, 12, -25, 35, 6, 47, 0, 0, 0.0);
mTSB.addBoxExpanded("body10", -11, 18, -11, 29, 4, 32, 0, 0, 0.0);

eye1.addBoxExpanded("ant1", -10, 20, 14, 1, 12, 1, 0, 0, 0.0); eye1.setRotation(0,25,0);
eye1.addBoxExpanded("ant2", 14, 20, 14, 1, 12, 1, 0, 0, 0.0);

eye2.addBoxExpanded("ant3", -10, 9, 33.5, 1, 1, 6, 0, 0, 0.0); eye2.setRotation(0,-25,0);
eye2.addBoxExpanded("ant4", 14, 9, 33.5, 1, 1, 6, 0, 0, 0.0);

//mTSB.y = 0.7;

// Assign texture
mTSB.texture = "/models/mob/Slug.png";
eye1.texture = "/models/mob/eye.png";
eye2.texture = "/models/mob/eye.png";
entity.texture = "/models/none.png";
// Attach to this entity
mTSB.attachedTo = entity;
eye1.attachedTo = entity;
eye2.attachedTo = entity;

entity.setImmuneToFire(true);
tsbossPos2 = entity.getPosition();